<inp2:adm_SetPopupSize width="750" height="400"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:configure_styles" prefix="css" title_preset="stylesheets_edit" tab_preset="Default"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('css','<inp2:css_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							submit_event('css','OnCancelEdit');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('css', '<inp2:css_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('css', '<inp2:css_NextId/>');
						}
				 ) );

				a_toolbar.Render();

				<inp2:m_if check="css_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="css_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="css_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:css_SaveWarning name="grid_save_warning"/>
<inp2:css_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" prefix="css" fields="StylesheetId,Name,Description,AdvancedCSS,Enabled" title="la_section_General"/>

			<inp2:m_RenderElement name="inp_id_label" prefix="css" field="StylesheetId" title="la_fld_StylesheetId"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="css" field="Name" title="la_fld_Name" size="40"/>
			<inp2:m_RenderElement name="inp_edit_textarea" prefix="css" field="Description" title="la_fld_Description" control_options="{min_height: 100}" rows="10" cols="40"/>
			<inp2:m_RenderElement name="inp_edit_textarea" prefix="css" field="AdvancedCSS" title="la_fld_AdvancedCSS" control_options="{min_height: 100}" rows="10" cols="40"/>
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="css" field="Enabled" title="la_fld_Enabled"/>
			<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>